# You can pull from multiple grok mirrors, just create
# a separate section for each mirror. The name can be anything.
[src.fedoraproject.org]
# The host part of the mirror you're pulling from.
#site = git://git.kernel.org
site = https://src.fedoraproject.org
#
# Where the grok manifest is published. The following protocols
# are supported at this time:
# http:// or https:// using If-Modified-Since http header
# file:// (when manifest file is on NFS, for example)
#manifest = http://git.kernel.org/manifest.js.gz
manifest = https://src.fedoraproject.org/grokmirror/manifest.js.gz
#
# Where are we going to put the mirror on our disk?
#toplevel = /var/lib/git/mirror
toplevel = {{ grokmirror_topdir }}/src.fedoraproject.org/
#
# Where do we store our own manifest? Usually in the toplevel.
#mymanifest = /var/lib/git/mirror/manifest.js.gz
mymanifest = {{ grokmirror_topdir }}/src.fedoraproject.org/manifest.js.gz
#
# Write out projects.list that can be used by gitweb or cgit.
# Leave blank if you don't want a projects.list.
#projectslist = /var/lib/git/mirror/projects.list
projectslist =
#
# When generating projects.list, start at this subpath instead
# of at the toplevel. Useful when mirroring kernel or when generating
# multiple gitweb/cgit configurations for the same tree.
#projectslist_trimtop = /pub/scm/
projectslist_trimtop = /pub/scm/
#
# The default behaviour is to use cross-repository references (if present)
# to set git alternates between projects. This helps both significantly
# reduce the bandwidth during cloning and dramatically reduce the mirror size
# on disk. If for some reason you always want to create non-shared repositories,
# set ignore_repo_references to "yes"
# NOTE: this will NOT remove alternates for repositories already mirrored. You
# will need to run "git repack -a" and then manually remove the
# objects/info/alternates file for each repository.
#ignore_repo_references = no
#
# When generating projects.list, also create entries for symlinks.
# Otherwise we assume they are just legacy and keep them out of
# web interfaces.
#projectslist_symlinks = yes
projectslist_symlinks = no
#
# A simple hook to execute whenever a repository is modified.
# It passes the full path to the git repository modified as the only
# argument.
#post_update_hook = /usr/local/bin/make-git-fairies-appear
post_update_hook =
#
# This prevents catastrophic mirror purges when our upstream master gives us
# a manifest that is dramatically smaller than ours. The default is to refuse
# the purge if the remote manifest has over 10% fewer repositories than what we
# have, or in other words, if we have 100 repos and the remote manifest has
# shrunk to 95 repos or less, we refuse to purge, suspecting that something has
# gone wrong. You can set purgeprotect to a higher percentage, or override
# it entirely with --force-purge commandline flag.
#purgeprotect = 5
purgeprotect = 5
#
# If owner is not specified in the manifest, who should be listed
# as the default owner in tools like gitweb or cgit?
#default_owner = Grokmirror User
default_owner = Grokmirror User
#
# Where do we put the logs?
#log = /var/log/mirror/kernelorg.log
log = {{ grokmirror_topdir }}/src.fedoraproject.org/src.fedoraproject.org.log
#
# Log level can be "info" or "debug"
#loglevel = info
loglevel = info
#
# To speed up updates, grok-pull will use multiple threads. Please be
# considerate to the mirror you're pulling from and don't set this very
# high. You may also run into per-ip multiple session limits, so leave this
# number at a nice low setting.
#pull_threads = 5
pull_threads = 5
#
# Use shell-globbing to list the repositories you would like to mirror.
# If you want to mirror everything, just say "*". Separate multiple entries
# with newline plus tab. Examples:
#
# mirror everything:
#include = *
#
# mirror just the main kernel sources:
#include = /pub/scm/linux/kernel/git/torvalds/linux.git
#          /pub/scm/linux/kernel/git/stable/linux-stable.git
#          /pub/scm/linux/kernel/git/next/linux-next.git
#
# mirror just git:
#include = /pub/scm/git/*
include = *
#
# This is processed after the include. If you want to exclude some specific
# entries from an all-inclusive globbing above. E.g., to exclude all linux-2.4
# git sources:
#exclude = */linux-2.4*
exclude =
